Miscellaneous Documentation

This page documents all the relevant standards that the Apache HTTP
Server follows, along with brief descriptions.

In addition to the information listed below, the following resources
should be consulted:

http://purl.org/NET/http-errata

\- HTTP/1.1 Specification Errata

http://www.rfc-editor.org/errata.php

\- RFC Errata

http://ftp.ics.uci.edu/pub/ietf/http/\#RFC

\- A pre-compiled list of HTTP related RFCs

> **Note**
>
> This document is not yet complete.

HTTP Recommendations {#http_recommendations}
====================

Regardless of what modules are compiled and used, Apache as a basic web
server complies with the following IETF recommendations:

RFC 1945

(Informational)

The Hypertext Transfer Protocol (HTTP) is an application-level protocol
with the lightness and speed necessary for distributed, collaborative,
hypermedia information systems. This documents HTTP/1.0.

RFC 2616

(Standards Track)

The Hypertext Transfer Protocol (HTTP) is an application-level protocol
for distributed, collaborative, hypermedia information systems. This
documents HTTP/1.1.

RFC 2396

(Standards Track)

A Uniform Resource Identifier (URI) is a compact string of characters
for identifying an abstract or physical resource.

RFC 4346

(Standards Track)

The TLS protocol provides communications security over the Internet. It
provides encryption, and is designed to prevent eavesdropping,
tampering, and message forgery.

HTML Recommendations {#html_recommendations}
====================

Regarding the Hypertext Markup Language, Apache complies with the
following IETF and W3C recommendations:

RFC 2854

(Informational)

This document summarizes the history of HTML development, and defines
the \"text/html\" MIME type by pointing to the relevant W3C
recommendations.

HTML 4.01 Specification

(

Errata

)

This specification defines the HyperText Markup Language (HTML), the
publishing language of the World Wide Web. This specification defines
HTML 4.01, which is a subversion of HTML 4.

HTML 3.2 Reference Specification

The HyperText Markup Language (HTML) is a simple markup language used to
create hypertext documents that are portable from one platform to
another. HTML documents are SGML documents.

XHTML 1.1 - Module-based XHTML

(

Errata

)

This Recommendation defines a new XHTML document type that is based upon
the module framework and modules defined in Modularization of XHTML.

XHTML 1.0 The Extensible HyperText Markup Language (Second Edition)

(

Errata

)

This specification defines the Second Edition of XHTML 1.0, a
reformulation of HTML 4 as an XML 1.0 application, and three DTDs
corresponding to the ones defined by HTML 4.

Authentication
==============

Concerning the different methods of authentication, Apache follows the
following IETF recommendations:

RFC 2617

(Standards Track)

\"HTTP/1.0\", includes the specification for a Basic Access
Authentication scheme.

Language/Country Codes {#language_country_codes}
======================

The following links document ISO and other language and country code
information:

ISO 639-2

ISO 639 provides two sets of language codes, one as a two-letter code
set (639-1) and another as a three-letter code set (this part of ISO
639) for the representation of names of languages.

ISO 3166-1

These pages document the country names (official short names in English)
in alphabetical order as given in ISO 3166-1 and the corresponding ISO
3166-1-alpha-2 code elements.

BCP 47

(Best Current Practice),

RFC 3066

This document describes a language tag for use in cases where it is
desired to indicate the language used in an information object, how to
register values for use in this language tag, and a construct for
matching such language tags.

RFC 3282

(Standards Track)

This document defines a \"Content-language:\" header, for use in cases
where one desires to indicate the language of something that has RFC
822-like headers, like MIME body parts or Web documents, and an
\"Accept-Language:\" header for use in cases where one wishes to
indicate one\'s preferences with regard to language.
