mod\_authn\_dbm

User authentication using DBM files

Extension

mod\_authn\_dbm.c

authn\_dbm\_module

This module provides authentication front-ends such as

mod\_auth\_digest

and

mod\_auth\_basic

to authenticate users by looking up users in

dbm

password files. Similar functionality is provided by

mod\_authn\_file

.

When using

mod\_auth\_basic

or

mod\_auth\_digest

, this module is invoked via the

AuthBasicProvider

or

AuthDigestProvider

with the

dbm

value.

AuthName

AuthType

AuthBasicProvider

AuthDigestProvider

htpasswd

htdbm

Password Formats

AuthDBMUserFile

Sets the name of a database file containing the list of users and
passwords for authentication

AuthDBMUserFile

file-path

directory

.htaccess

AuthConfig

The

AuthDBMUserFile

directive sets the name of a DBM file containing the list of users and
passwords for user authentication.

File-path

is the absolute path to the user file.

The user file is keyed on the username. The value for a user is the
encrypted password, optionally followed by a colon and arbitrary data.
The colon and the data following it will be ignored by the server.

> **Note**
>
> Make sure that the
>
> AuthDBMUserFile
>
> is stored outside the document tree of the web-server; do
>
> not
>
> put it in the directory that it protects. Otherwise, clients will be
> able to download the
>
> AuthDBMUserFile
>
> .

The encrypted password format depends on which authentication frontend
(e.g.

mod\_auth\_basic

or

mod\_auth\_digest

) is being used. See

Password Formats

for more information.

Important compatibility note: The implementation of

dbmopen

in the Apache modules reads the string length of the hashed values from
the DBM data structures, rather than relying upon the string being
NULL-appended. Some applications, such as the Netscape web server, rely
upon the string being NULL-appended, so if you are having trouble using
DBM files interchangeably between applications this may be a part of the
problem.

A perl script called

dbmmanage

is included with Apache. This program can be used to create and update
DBM format password files for use with this module. Another tool for
maintaining the DBM files is the included program

htdbm

.

AuthDBMType

Sets the type of database file that is used to store passwords

AuthDBMType default\|SDBM\|GDBM\|NDBM\|DB

AuthDBMType default

directory

.htaccess

AuthConfig

Sets the type of database file that is used to store the passwords. The
default database type is determined at compile time. The availability of
other types of database files also depends on

compile-time settings

.

For example, in order to enable the support for Berkeley DB
(correspondent to the

db

type) the

\--with-berkeley-db

option needs to be added to httpd\'s configure to generate the necessary
DSO.

It is crucial that whatever program you use to create your password
files is configured to use the same type of database.
