mod\_ratelimit

Bandwidth Rate Limiting for Clients

Extension

mod\_ratelimit.c

ratelimit\_module

rate-initial-burst

available in httpd 2.4.24 and later. Rate limiting proxied content does
not work correctly up to httpd 2.4.33.

Provides a filter named

RATE\_LIMIT

to limit client bandwidth. The throttling is applied to each HTTP
response while it is transferred to the client, and not aggregated at
IP/client level. The connection speed to be simulated is specified, in
KiB/s, using the environment variable

rate-limit

.

Optionally, an initial amount of burst data, in KiB, may be configured
to be passed at full speed before throttling to the specified rate
limit. This value is optional, and is set using the environment variable

rate-initial-burst

.

\<Location \"/downloads\"\> SetOutputFilter RATE\_LIMIT SetEnv
rate-limit 400 SetEnv rate-initial-burst 512 \</Location\>

> **Note**
>
> If the value specified for
>
> rate-limit
>
> causes integer overflow, the rate-limited will be disabled. If the
> value specified for
>
> rate-limit-burst
>
> causes integer overflow, the burst will be disabled.
