mod\_reflector

Reflect a request body as a response via the output filter stack.

Base

mod\_reflector.c

reflector\_module

Version 2.3 and later

This module allows request bodies to be reflected back to the client, in
the process passing the request through the output filter stack. A
suitably configured chain of filters can be used to transform the
request into a response. This module can be used to turn an output
filter into an HTTP service.

Examples
========

Compression service

Pass the request body through the DEFLATE filter to compress the body.
This request requires a Content-Encoding request header containing
\"gzip\" for the filter to return compressed data.

\<Location \"/compress\"\> SetHandler reflector SetOutputFilter DEFLATE
\</Location\>

Image downsampling service

Pass the request body through an image downsampling filter, and reflect
the results to the caller.

\<Location \"/downsample\"\> SetHandler reflector SetOutputFilter
DOWNSAMPLE \</Location\>

ReflectorHeader

Reflect an input header to the output headers

ReflectorHeader

inputheader

\[outputheader\]

server config

virtual host

directory

.htaccess

Options

This directive controls the reflection of request headers to the
response. The first argument is the name of the request header to copy.
If the optional second argument is specified, it will be used as the
name of the response header, otherwise the original request header name
will be used.
