The term

Virtual Host

refers to the practice of running more than one web site (such as

company1.example.com

and

company2.example.com

) on a single machine. Virtual hosts can be \"

IP-based

\", meaning that you have a different IP address for every web site, or
\"

name-based

\", meaning that you have multiple names running on each IP address. The
fact that they are running on the same physical server is not apparent
to the end user.

Apache was one of the first servers to support IP-based virtual hosts
right out of the box. Versions 1.1 and later of Apache support both
IP-based and name-based virtual hosts (vhosts). The latter variant of
virtual hosts is sometimes also called

host-based

or

non-IP virtual hosts

.

Below is a list of documentation pages which explain all details of
virtual host support in Apache HTTP Server:

mod\_vhost\_alias

Name-based virtual hosts

IP-based virtual hosts

Virtual host examples

File descriptor limits

Mass virtual hosting

Details of host matching

Virtual Host Support {#support}
====================

Name-based Virtual Hosts

(More than one web site per IP address)

IP-based Virtual Hosts

(An IP address for each web site)

Virtual Host examples for common setups

File Descriptor Limits

(or,

Too many log files

)

Dynamically Configured Mass Virtual Hosting

In-Depth Discussion of Virtual Host Matching

Configuration directives {#directives}
========================

VirtualHost

ServerName

ServerAlias

ServerPath

If you are trying to debug your virtual host configuration, you may find
the

-S

command line switch useful.

apachectl -S

httpd.exe -S

This command will dump out a description of how Apache parsed the
configuration file. Careful examination of the IP addresses and server
names may help uncover configuration mistakes. (See the docs for the

httpd

program for other command line options)
